Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 587745 - Deleting a large number of system profiles results in 500 Error
Deleting a large number of system profiles results in 500 Error
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
low Severity high
: ---
: ---
Assigned To: Justin Sherrill
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2010-04-30 15:00 EDT by Stephen Benjamin
Modified: 2010-07-12 23:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-12 23:13:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Benjamin 2010-04-30 15:00:16 EDT
Description of problem:
Deleting a large number of systems profiles from Satellite results in a 500 error.

Version-Release number of selected component (if applicable):
5.3.0


How reproducible:
Always

Steps to Reproduce:
1. Attempt to delete 180+ servers profiles from Satellite
2. Wait 10+ minutes
3. Fail!
  
Actual results:
500 Internal Server Error

Expected results:
Success


Additional info:
Works for smaller amounts of servers
Comment 1 Clifford Perry 2010-05-12 10:07:45 EDT
Hi  Stephen Benjamin, 
This bug report does not contain much detail to work with currently. 

Could you please open a support ticket to associate and track next to this bug
report. This will allow for Red Hat support to triage, confirm replication and
help Engineering - sometimes providing a fix before we even start looking at
the bug report. 

Regards,
Cliff.
Comment 2 Stephen Benjamin 2010-05-12 10:13:56 EDT
Unfortunately I can't go into our Satellite server and try this again, as we've already deleted the servers we wanted to.  But I'm not sure what detail you would require.  If you login to Satellite, and attempt to remove 180 or more (it may be less, I didn't test) server profiles, satellite responds with a 500 Internal Server Error.
Comment 3 Clifford Perry 2010-05-12 10:26:23 EDT
The starting point for *any* troubleshooting is getting the exact traceback error message (from server logs - ISE 500 is next to useless besides telling us something went wrong). We then can use that to ensure any replication confirms replication of not only symptoms, but also error. We then look to address the error by determining what caused the error message (the traceback generating the ISE 500) and then being able to confirm for our customers and users that we have fixed their specific bug. Without proper troubleshooting and gathering of data we risk fixing the wrong issue. We may also discover that we cannot replicate your issue due to some environment issue at play. 

As such, please, follow my advise given previously so that we can correctly troubleshoot this through our support organization. 

Regards,
Cliff.

Note You need to log in before you can comment on or make changes to this bug.